If Input A must be a type of float

Hi, I am getting the errors below when I am creating a blend overlay. I have used this exact code in another couple of projects and they work fine however this one seems to spit out the error below:

This is the code that I have used:

Where are you using MF_Stratification? Sometimes these errors happen because the default texture object no longer exists. This can happen if you defined the material function in one project and then you only copy the function to another project without the default texture.